# eth\_getFilterLogs - Ethereum

## How to Use the eth\_getFilterLogs Method

The size of response for getFilterLogs method varies due to your block range:

* **Block range > 50K:** unavailable
* **Block range <= 100:** No limitations
* **Block range between 100 and 50K:** No more than 50K records can be responded

### **Parameters**

QUANTITY - an id of the filter.

### What you receive

Look at eth\_getFilterChanges for understanding.

### Sample

Here is a typical appliance example.

#### Call

{% tabs %}
{% tab title="Curl" %}

```
curl https://eth-mainnet.rpcfast.com/?api_key=<key> \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"jsonrpc":"2.0","method":"eth_getFilterLogs","params":["0xd1bdcf5b6141c7ec379531c851cb91d3"],"id":1}'

```

{% endtab %}
{% endtabs %}

#### Outcome

```
Same as for eth_getFilterChanges.
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rpcfast.com/rpc-fast-saas-evm/ethereum-api/eth_getfilterlogs-ethereum.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
